from django.contrib import admin
from django.contrib.auth.admin import UserAdmin
from .models import Text, Excerpt, Segment, User_profile, User, Workdetail

class UserProfileInline(admin.StackedInline):
    model = User_profile
    can_delete = False

# Define a new User admin
class UserAdmin(UserAdmin):
    inlines = (UserProfileInline, )

# Re-register UserAdmin
admin.site.unregister(User)
admin.site.register(User, UserAdmin)
admin.site.register(User_profile)

admin.site.register(Text)
admin.site.register(Excerpt)
admin.site.register(Segment)
admin.site.register(Workdetail)
