# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('annotation', '0012_auto_20170305_1434'),
    ]

    operations = [
        migrations.AddField(
            model_name='segment',
            name='ref_id',
            field=models.IntegerField(default=0, db_index=True),
        ),
        migrations.AddField(
            model_name='segment',
            name='ref_rejected',
            field=models.IntegerField(default=0, choices=[(0, 'Segment nie ma ustalonego statusu.'), (1, 'Segment zatwierdzony (jako sk\u0142adnik "choice").'), (-1, 'Segment usuni\u0119ty (jako sk\u0142adnik "choice").')]),
        ),
        migrations.AddField(
            model_name='workdetail',
            name='ref_user',
            field=models.ForeignKey(related_name='referee', default=None, blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
    ]
