/* global variable: viewModel */

var work_viewModel = function(){
    var self = this;
    self.knock_works = ko.observableArray();
    
    self.sendAjaxRequest = function(path, data, successFunction, asynchr){  //na 'data' powinien być obiekt koniecznie z polem 'action', np.: {action: , seg_id: , sent_end: }
      $.ajax({
        beforeSend: function(xhr, settings) {
          xhr.setRequestHeader("X-CSRFToken", csrf);
        },
        async: asynchr,
        success: successFunction,
        error: function() {
          alert('Błąd żądania AJAX');},
        data : JSON.stringify(data),
        url : path,
        type : 'POST',
        dataType : 'json',
        contentType: 'application/json; charset=UTF-8'
      });
    };


    self.dobierz = function() {
      if (self.knock_works().length > exc_max) {
        alert('Masz już wystarczająco dużo próbek (ponad ' + exc_max + ').')
      } else {
        self.sendAjaxRequest('/index_post/', {action: 'getWorks'}, function(resp) {if (resp.length == 0) {alert('Brak próbek do dodania');} else {dj_works = resp; ko.mapping.fromJS(dj_works, {}, self.knock_works);}}, true)
      };
    };

    ko.mapping.fromJS(dj_works, {}, self.knock_works);

}

ko.applyBindings(new work_viewModel());

