# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import django.utils.timezone
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('annotation', '0007_segment_korbeusz'),
    ]

    operations = [
        migrations.CreateModel(
            name='Workdetail',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('work_status', models.IntegerField(default=0, choices=[(0, 'Pr\xf3bka nieprzypisana'), (1, 'Pr\xf3bka przypisana do anotatora'), (2, 'Pr\xf3bka czeka na drugiego anotatora'), (3, 'Pr\xf3bka zwr\xf3cona do poprawki'), (4, 'Pr\xf3bka czeka na drugiego anotatora po poprawkach'), (5, 'Pr\xf3bka przekazana do rozstrzygni\u0119cia do superanotatora'), (6, 'Pr\xf3bka zako\u0144czona')])),
                ('status_change', models.DateTimeField(default=django.utils.timezone.now, verbose_name=b'data zmiany statusu')),
                ('notes', models.TextField(blank=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='excerpt',
            name='notes',
        ),
        migrations.AddField(
            model_name='segment',
            name='seg_change',
            field=models.DateTimeField(default=None, null=True, verbose_name=b'data zmiany segmentu', blank=True),
        ),
        migrations.AddField(
            model_name='segment',
            name='user',
            field=models.ForeignKey(default=None, blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
        migrations.AlterField(
            model_name='segment',
            name='excerpt',
            field=models.ForeignKey(related_name='segs', to='annotation.Excerpt'),
        ),
        migrations.AlterField(
            model_name='text',
            name='import_date',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name=b'data importu'),
        ),
        migrations.AddField(
            model_name='workdetail',
            name='excerpt',
            field=models.ForeignKey(related_name='details', to='annotation.Excerpt'),
        ),
        migrations.AddField(
            model_name='workdetail',
            name='user',
            field=models.ForeignKey(to=settings.AUTH_USER_MODEL),
        ),
    ]
