# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('annotation', '0015_auto_20170531_0011'),
    ]

    operations = [
        migrations.AddField(
            model_name='workdetail',
            name='pay_account',
            field=models.ForeignKey(related_name='pay_account', default=None, blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
        migrations.AddField(
            model_name='workdetail',
            name='ref_pay_account',
            field=models.ForeignKey(related_name='ref_pay_account', default=None, blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
        migrations.AlterField(
            model_name='user_profile',
            name='role',
            field=models.IntegerField(default=0, choices=[(0, 'Anotator'), (1, 'Superanotator'), (2, 'Kontroler'), (3, 'Ksi\u0119gowy')]),
        ),
    ]
