# -*- coding: utf-8 -*-
from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^index_post/$', views.index_post, name='index_post'),
    url(r'^(?P<exc_id>[0-9]+)/excerpt/$', views.excerpt, name='excerpt'),
    url(r'^(?P<exc_id>[0-9]+)/excerpt_post/$', views.excerpt_post, name='excerpt_post'),
    url(r'^stats/$', views.stats, name='stats'),
    url(r'^superlist/$', views.superlist, name='superlist'),
    url(r'^superlist/(?P<page_nr>[0-9]+)/$', views.superlist, name='superlist'),
    url(r'^(?P<exc_id>[0-9]+)/superview/$', views.superview, name='superview'),
    url(r'^(?P<exc_id>[0-9]+)/superexcerpt/$', views.superexcerpt, name='superexcerpt'),
    url(r'^report_full/$', views.report_full, name='report_full'),
    url(r'^report/$', views.report, name='report'),
    url(r'^report_post/$', views.report_post, name='report_post'),
    url(r'^(?P<exp_code>\w+)/csv_export/$', views.csv_export, name='csv_export'),
]
